import com.rabbitmq.client._

object Producer extends App {
    if (args.length < 1) {
        println("You must provide a message argument")
    } else {
        var messageBody = args(0)

            var factory = new ConnectionFactory()
            factory.setUri("amqp://guest:guest@localhost:5672")
        var connection = factory.newConnection()
            var channel = connection.createChannel()

            channel.exchangeDeclare("hello-exchange", "direct", true)
        channel.queueDeclare("hello-queue", true, false, false, null)

        println("Publishing ", messageBody)
        channel.basicPublish("hello-exchange", "hola", null,
            messageBody.toCharArray().map(_.toByte))
    }
}
